<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/xvalidation/expressions/expressionTemplate.xhtml" id="ex_#{expression.fakeId}">
        <ui:param name="expression" value="#{expression}"/>
        <ui:param name="expressionName" value="#{messages['net.ihe.gazelle.xval.INVALUESET']}"/>
        <ui:define name="expressionBody">
            <ui:include src="/xvalidation/expressions/locator.xhtml">
                <ui:param name="locator" value="#{expression.locator}"/>
            </ui:include>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="oidInput#{expression.fakeId}"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.ValueSetOID']}</ui:define>
                <h:inputText value="#{expression.valueSetId}" id="oidInput#{expression.fakeId}"
                             styleClass="form-control"/>
            </s:decorate>
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="langInput#{expression.fakeId}"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.xval.Lang']}</ui:define>
                <h:inputText value="#{expression.lang}" id="langInput#{expression.fakeId}"
                             styleClass="form-control"/>
            </s:decorate>
        </ui:define>
    </s:decorate>
</ui:composition>
